<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;
    protected $with = ['images', 'colors'];

    function images()
    {
        return $this->hasMany(ProductImage::class);
    }

    function colors()
    {
        return $this->hasMany(ProductColor::class)->with('color');
    }

    function category(){
        return $this->hasOne(Category::class, 'id', 'category_id');
    }
}
