AOS.init();

$(document).ready(function () {
  /*---------CART PRICE CALCULATE---------*/

  function updateTotal() {
    var total = 0;
    $(".cart-each").each(function () {
      var price = parseFloat($(this).data("product-price"));
      var count = parseInt($(this).find(".cart-the-count").text());
      total += price * count;
    });

    $(".cart-total-count").text(total.toLocaleString() + "₺");

  }

  $(document).on("click", ".count-increase", function () {
    let countSpan = $(this).siblings(".cart-the-count");
    let currentCount = parseInt(countSpan.text());
    let productId = $(this).closest(".cart-each").data("product-id");
    $.ajax({
        url: "/increase-card",
        type: "POST",
        data: {
            id: productId
        },
        dataType: "JSON",
        success: function(response) {
            if(response.type === "success"){
            countSpan.text(currentCount + 1);
            updateTotal();
            }
        }
        });
    });

    $(document).on("click", ".count-decrease", function () {
        let countSpan = $(this).siblings(".cart-the-count");
        let currentCount = parseInt(countSpan.text());
        let productId = $(this).closest(".cart-each").data("product-id");
        let button = $(this);

        $.ajax({
            url: "/remove-card",
            type: "POST",
            data: {
                id: productId
            },
            dataType: "JSON",
            success: function(response) {

                if(response.type === "success"){
                    if(currentCount > 1) {
                        countSpan.text(currentCount - 1);
                    }else{
                        $(button).closest(".cart-each").remove();
                    }
                    updateTotal();
                }
            }

        })

    });
  updateTotal();

  /*---------MOBILE MENU DROPDOWNS---------*/

  $(".mobile-menu .has-dropdown").click(function (e) {
    e.preventDefault();
    var $dropdown = $(this).next(".mobile-dropdown");
    $dropdown.slideToggle();
    $(this).find("img").toggleClass("rotate-down");
  });
});

/*---------ADD CART DISABLE LINK---------*/

$(document).ready(function () {
  $(".add-cart").click(function (event) {
    event.stopPropagation();
    event.preventDefault();

    // LOREM ALERT
    alert("LOREM ALERT SEPETE EKLENDİ!");
  });
});

/*---------S11 MATH---------*/
$(".s11-range, .s11-employee, .s11-piece").on("input", function () {
  var cost = $(".s11-range").val();
  var employee = $(".s11-employee").val();
  var piece = $(".s11-piece").val();
  var paperMaliyet = employee * piece * cost;
  var wizzyMaliyet = employee * 600;

  $(".s11-count-1").text((employee * piece * cost).toLocaleString() + "₺");
  $(".s11-count-2").text((employee * 600).toLocaleString() + "₺");
  $(".s11-count-3").text((paperMaliyet - wizzyMaliyet).toLocaleString() + "₺");
  $(".s11-count-4").text((employee * 2).toLocaleString());
  $(".s11-environment-1-count").text(
    Math.round((employee * piece) / 15000).toLocaleString() + " Ağaç"
  );
  $(".s11-environment-2-count").text(
    Math.round(employee * piece * 0.02).toLocaleString() + " Galon"
  );
  $(".s11-environment-3-count").text(
    Math.round(employee * piece * 0.003).toLocaleString() + " Galon"
  );
});

/*---------S11 SCREENSHOT---------*/

if (document.querySelector(".s11-screenshot")) {
  document
    .querySelector(".s11-screenshot")
    .addEventListener("click", function () {
      html2canvas(document.querySelector(".s11")).then(function (canvas) {
        return Canvas2Image.saveAsPNG(canvas);
      });
    });
}

/*---------S12 TAB HOVER---------*/

$(document).ready(function () {
  $(".s12 .nav-link").hover(function () {
    $(this).tab("show");
  });
});

/*---------SSS ACTIVE--------*/
$(document).ready(function () {
  $("#sss-accordion .accordion-collapse").on("show.bs.collapse", function () {
    $(this).closest(".accordion-item").addClass("active");
  });

  $("#sss-accordion .accordion-collapse").on("hide.bs.collapse", function () {
    $(this).closest(".accordion-item").removeClass("active");
  });
});

/*---------KURUMSAL COUNTER--------*/
$(document).ready(function () {
  let counter = 0;
  let counter2 = 0;
  let target = 25;
  let target2 = 25;
  let interval = 150;

  function animateCounter() {
    if (counter <= target) {
      $(".kurumsal-counter").text(counter + "K+");
      counter++;
      setTimeout(animateCounter, interval);
    }
  }
  animateCounter();

  function animateCounter2() {
    if (counter2 <= target2) {
      $(".kurumsal-counter2").text(counter2 + "K+");
      counter2++;
      setTimeout(animateCounter2, interval);
    }
  }
  animateCounter2();
});

/*---------BLOG PAGINATION--------*/

jQuery(document).ready(function () {
  var show_per_page = 6;
  var number_of_items = $("#blogs-page-list").children().length;
  var number_of_pages = Math.ceil(number_of_items / show_per_page);

  $("#current_page").val(0);
  $("#show_per_page").val(show_per_page);

  var navigation_html =
    '<a class="previous_link disabled" href="javascript:previous();"><img style="height:10px" src="assets/images/icons/left-arrow-dark-large.png" alt=""></a>';
  var current_link = 0;
  while (number_of_pages > current_link) {
    navigation_html +=
      '<a class="page_link" href="javascript:go_to_page(' +
      current_link +
      ')" longdesc="' +
      current_link +
      '">' +
      (current_link + 1) +
      "</a>";
    current_link++;
  }
  navigation_html +=
    '<a class="next_link" href="javascript:next();"><img style="height:10px" src="assets/images/icons/right-arrow-dark-large.png" alt=""></a>';

  $("#page_navigation").html(navigation_html);
  $("#page_navigation .page_link:first").addClass("active_page");

  $("#blogs-page-list").children().hide();
  $("#blogs-page-list").children().slice(0, show_per_page).show();

  window.previous = function () {
    var new_page = parseInt($("#current_page").val()) - 1;
    if ($(".active_page").prev(".page_link").length == true) {
      go_to_page(new_page);
    }
  };

  window.next = function () {
    var new_page = parseInt($("#current_page").val()) + 1;
    if ($(".active_page").next(".page_link").length == true) {
      go_to_page(new_page);
    }
  };

  window.go_to_page = function (page_num) {
    var show_per_page = parseInt($("#show_per_page").val());
    var start_from = page_num * show_per_page;
    var end_on = start_from + show_per_page;

    $("#blogs-page-list").children().hide().slice(start_from, end_on).show();

    $(".page_link[longdesc=" + page_num + "]")
      .addClass("active_page")
      .siblings(".active_page")
      .removeClass("active_page");
    $("#current_page").val(page_num);

    if (page_num == 0) {
      $(".previous_link").addClass("disabled");
    } else {
      $(".previous_link").removeClass("disabled");
    }

    if (page_num == number_of_pages - 1) {
      $(".next_link").addClass("disabled");
    } else {
      $(".next_link").removeClass("disabled");
    }
  };

  $(".previous_link").addClass("disabled");
});

var section = $(".how-it-accordion li");

function toggleAccordion() {
  section.removeClass("active");
  $(this).addClass("active");
}

section.on("click", toggleAccordion);

/*---------SHOW PASSWORD---------*/
$(document).ready(function () {
  $(".show-password").click(function () {
    var $input = $(this).siblings("input");
    var inputType = $input.attr("type");

    if (inputType === "password") {
      $input.attr("type", "text");
      $(this).addClass("disable");
    } else {
      $input.attr("type", "password");
      $(this).removeClass("disable");
    }
  });
});

/*---------PRODUCT COMMENTS---------*/

$(document).ready(function () {
  $(".kullanici-yorumlari-each").slice(0, 4).show();

  if ($(".kullanici-yorumlari-each").length <= 4) {
    $("#see-more-comment").hide();
  }

  $("#see-more-comment").on("click", function (e) {
    e.preventDefault();
    var currentlyVisibleReviews = $(".kullanici-yorumlari-each:visible").length;
    $(".kullanici-yorumlari-each")
      .slice(currentlyVisibleReviews, currentlyVisibleReviews + 4)
      .fadeIn();
    if ($(".kullanici-yorumlari-each:hidden").length == 0) {
      $("#see-more-comment").fadeOut();
    }
  });
});
/*---------PRODUCT COLOR AND DIRECTION---------*/
function updateQRCodeDisplay() {
    var activeButton = $(".product-color-button.active");
    var selectedColor = activeButton.data("color");
    var buttonBackgroundColor = activeButton.css("background-color");
    $(".qr-img").hide();
    $(".qr-img[data-color='" + selectedColor + "']").show();

    $(".product-card-front-name").css("color", buttonBackgroundColor);
}

$(document).ready(function () {

  updateQRCodeDisplay();
});

/*---------BIREYSEL OR KURUMSAL---------*/
$(document).ready(function () {
  $('input[name="invoice_type"]').change(function () {
    if ($("#bireysel-fatura-radio").is(":checked")) {
      $("input[name='invoice_name']").attr('placeholder', 'Ad Soyad');
      $("input[name='tax_number']").attr('placeholder', 'TC Kimlik Numarası');
      $("input[name='tax_number']").parent().removeClass('col-lg-6');
      $("input[name='tax_number']").parent().addClass('col-lg-12');
      $("input[name='tax_number']").parent().removeClass("d-none");
      $("input[name='tax_office']").parent().addClass("d-none");
    } else if ($("#kurumsal-fatura-radio").is(":checked")) {
        $("input[name='invoice_name']").attr('placeholder', 'Ünvan');
        $("input[name='tax_number']").attr('placeholder', 'Vergi No');
        $("input[name='tax_number']").parent().addClass('col-lg-6');
        $("input[name='tax_number']").parent().removeClass('col-lg-12');
        $("input[name='tax_office']").parent().removeClass('col-lg-12');
        $("input[name='tax_office']").parent().addClass('col-lg-6');
        $("input[name='tax_office']").parent().removeClass("d-none");
    }
  });

  $('input[name="bireysel-kurumsal"]:checked').trigger("change");
});

/*---------FATURA ADRESI FARKLI---------*/
$(document).ready(function () {
  $("#diffrent-adress").change(function () {
    if ($(this).is(":checked")) {
      $(".diffrent-adress").slideDown();
    } else {
      $(".diffrent-adress").slideUp();
    }
  });
});

/*---------PRDUCT NAME INPUT---------*/

$(document).ready(function () {
  $("#product-card-name-input").on("input", function () {
    var newName = $(this).val();
    $(".product-card-front-name").text(newName);
    if (newName == "") {
      $(".product-card-front-name").text("Wizzcard Dijital Kartvizit");
    }
  });
});

/*---------PRODUCT SLIDER SIZE---------*/

function adjustHeight() {
  var swiperHeight = $(".productDetaySwiper").height();
  $(".productDetayThumSwiper").height(swiperHeight);
}

$(document).ready(function () {
  if ($(window).width() > 991) {
    adjustHeight();
  }

  $(window).resize(function () {
    if ($(window).width() > 991) {
      adjustHeight();
    }
  });
});

$(document).ready(function () {
  $(".product-order-title").click(function () {
    $(this).next(".product-order-main").slideToggle();
    $(this).find("img").toggleClass("rotate-arrow");
  });
});

$(document).ready(function () {
  if ($(window).width() < 991) {
    $(".payment-cart-title").click(function () {
      $(this).next(".payment-cart-mid").slideToggle();
      $(this).find("img").toggleClass("rotate-arrow");
    });
  }
});

var price = parseInt($(".product-count-buttons").attr("data-price"));
var order_count = 1;
var backup_count = 0;
var backup_total = 0;
var order_total = price;

$(document).on('click', ".product-color-button", function () {
    $(this).parent().find(".product-color-button").removeClass("active");
    $(this).addClass("active");
    updateQRCodeDisplay();
});
$(document).on('click', ".product-way-button", function () {
    $(this).parent().find(".product-way-button").removeClass("active");

    $(this).addClass("active");

    if ($(this).hasClass("product-way-1")) {
        $(".card-horizantel").show();
        $(".card-vertical").hide();
    } else if ($(this).hasClass("product-way-2")) {
        $(".card-horizantel").hide();
        $(".card-vertical").show();
    }
});
$('#offcanvas-cart').on('shown.bs.offcanvas', function() {
    $.ajax({
        url: "/get-cart",
        type: "GET",
        dataType: "JSON",
        processData: false,
        contentType: false,
        success: function(response) {

            if (response && response.order && response.order.details) {
                $("div.cart-body.custom-scroll").html('');
                $.each(response.order.details, function (index, value) {
                    $("div.cart-body.custom-scroll").append('<div class="cart-each" data-product-id="'+(value.id)+'" data-product-price="'+(value.product.price)+'">\n' +
                        '                <div class="cart-each-img">\n' +
                        '                    <img src="/assets/images/products/'+(value.product.images[0].image)+'" alt="">\n' +
                        '                </div>\n' +
                        '                <div class="cart-each-infos">\n' +
                        '                    <div class="cart-each-infos-title">'+(value.product.name)+'</div>\n' +
                        '                     <div class="cart-each-infos-price">'+(value.text)+'</div>\n' +
                        '                    <div class="cart-each-infos-price">'+(value.product.price.toLocaleString())+'₺</div>\n' +
                        '                        <button class="count-decrease">Sepetten Kaldır</button>\n' +
                        '                        <div class="cart-the-count" style="display:none">'+(value.quantity)+'</div>\n' +
                        '                </div>\n' +
                        '            </div>');
                });

                $(".cart-total-count").html(response.order.total.toLocaleString()+"₺");
            } else {
                $("div.cart-body.custom-scroll").html('<div class="cart-each">\n' +
                    '                <div class="cart-each-img">\n' +
                    '                    <img src="/assets/images/products/empty-cart.png" alt="">\n' +
                    '                </div>\n' +
                    '                <div class="cart-each-infos">\n' +
                    '                    <div class="cart-each-infos-title">Sepetinizde ürün bulunmamaktadır.</div>\n' +
                    '                </div>\n' +
                    '            </div>');
            }
        },
        error: function(xhr, status, error) {
            console.error("AJAX hatası: ", error);
        }
    });
});

$(document).on('change', '.product-card-backup-check', function () {
    console.log(backup_count)
    console.log($(this).is(":checked"))
    if ($(this).is(":checked")) {
        backup_count = backup_count + 1;
    }else{
        backup_count = backup_count - 1;
    }
    console.log(backup_count)
    backup_total = backup_count * (price * 0.7);
    if (backup_count > 0){
        $("#backup_order_row_total").parent().removeClass("d-none");
    }else{
        $("#backup_order_row_total").parent().addClass("d-none");
    }
    $("#backup_order_count").text(backup_count);
    $("#backup_order_row_total").text(backup_total.toLocaleString()+" ₺");
    $("#order_total").text((backup_total+order_total).toLocaleString()+" ₺");
});
$(document).on('click', '.product-card-backup-info-title', function () {
    $(this).next(".product-card-backup-info-text").slideToggle();
});
$(document).on('change', '.product-card-logo-input', function () {
    var fileName = $(this).val().split("\\").pop();
    $(this).parent().find("#file-placeholder").text(fileName);
});
$(document).ready(function () {
  // Handle the increase button click
  $(".product-count-increase").on("click", function () {
    order_count = parseInt($(".product-count-buttons span").text());
    order_count++;
    $(".product-count-buttons span").text(order_count);
    order_total = order_count*price;

    $("#productAccordion div h2 button").addClass("collapsed");
    $("#productAccordion div div").addClass("collapse");
    $("#productAccordion div div").removeClass("show");

    $("#order_count").text(order_count);
    $("#order_row_total").text(order_total.toLocaleString()+" ₺");
    $("#order_total").text((backup_total+order_total).toLocaleString()+" ₺");

    $("#productAccordion").append("<div class=\"accordion-item\">"+$("#productAccordion div:first-child").html().replaceAll('-0', '-'+order_count).replaceAll('#1', '#'+order_count)+"</div>");

    $("#productAccordion div:last-child h2 button").removeClass("collapsed");
    $("#productAccordion div:last-child div").addClass("show");
  });

  // Handle the decrease button click
  $(".product-count-decrease").on("click", function () {
      order_count = parseInt($(".product-count-buttons span").text());
    if (order_count > 1) {
        order_count--;
        $(".product-count-buttons span").text(order_count);
        order_total = order_count*price;

        $("#order_count").text(order_count);
        $("#order_row_total").text(order_total.toLocaleString()+" ₺");
        $("#order_total").text((backup_total+order_total).toLocaleString()+" ₺");

        $(".accordion-item:last-child").remove();
    }
  });

    $(".product-card-name-input").on("input", function () {
        var newName = $(this).val();
        $(".product-card-front-name").text(newName);
        if (newName == "") {
            $(".product-card-front-name").text("Wizzcard Dijital Kartvizit");
        }
    });
});

$("#order_form button[type='submit']").click(function(e){
    e.preventDefault();

    let isValid = true;


    $('#order_form input').each(function() {
        let inputVal = $(this).val().trim();
        if (inputVal === '') {
            isValid = false;
            $(this).addClass('is-invalid');
            $(this).next('.invalid-feedback').remove();
            $(this).after('<div class="invalid-feedback">Bu alan zorunludur.</div>');
        } else {
            $(this).removeClass('is-invalid');
            $(this).next('.invalid-feedback').remove();
        }
    });


  if(isValid){
      $("input[name='order_count']").val(order_count);
      let form = $('#order_form')[0];
      let data = new FormData(form);


      $.ajax({
          url: "/add-cart",
          type: "POST",
          data: data,
          dataType: "JSON",
          processData: false,
          contentType: false,
          success: function(response) {

              var myOffcanvas = document.getElementById('offcanvas-cart');
              var bsOffcanvas = new bootstrap.Offcanvas(myOffcanvas);
              bsOffcanvas.show();
          },
          error: function(xhr, status, error) {
              console.error("Hata: ", error);
          }
      });
  }else{
      console.log("Form geçersiz");
  }
});


/*---------S2 SWIPER---------*/

var swiper = new Swiper(".s2Swiper", {
  loop: true,
  autoplay: {
    delay: 1,
    disableOnInteraction: false,
  },
  speed: 3000,
  grabCursor: true,
  breakpoints: {
    0: {
      slidesPerView: 3,
      spaceBetween: 10,
    },
    768: {
      slidesPerView: 4,
      spaceBetween: 20,
    },
    991: {
      slidesPerView: 6,
      spaceBetween: 30,
    },
    1440: {
      slidesPerView: 8,
      spaceBetween: 30,
    },
  },
});

/*---------S7 DESKTOP FLEX - MOBILE SWIPER---------*/

var init = false;
var pricingCardSwiper;
function swiperCard() {
  if (window.innerWidth <= 991) {
    if (!init) {
      init = true;
      pricingCardSwiper = new Swiper(".s7Swiper", {
        slidesPerView: "1",
        spaceBetween: 0,
        grabCursor: true,
        loop: true,
        keyboard: true,
        autoplay: {
          delay: 1,
          disableOnInteraction: false,
        },
        speed: 10000,
        autoHeight: false,

        breakpoints: {
          0: {
            slidesPerView: 1.25,
          },
          768: {
            slidesPerView: 2.5,
          },
        },
      });
    }
  } else if (init) {
    pricingCardSwiper.destroy();
    init = false;
  }
}
swiperCard();
window.addEventListener("resize", swiperCard);

/*---------S10 DESKTOP FLEX - MOBILE SWIPER---------*/

var init2 = false;
var pricingCardSwiper2;
function swiperCard2() {
  if (window.innerWidth <= 991) {
    if (!init2) {
      init2 = true;
      pricingCardSwiper2 = new Swiper(".s10Swiper", {
        slidesPerView: "1",
        spaceBetween: 0,
        grabCursor: true,
        loop: true,
        keyboard: true,
        autoplay: {
          delay: 1,
          disableOnInteraction: false,
        },
        speed: 10000,
        autoHeight: false,

        breakpoints: {
          0: {
            slidesPerView: 2,
          },
          768: {
            slidesPerView: 3,
          },
        },
      });
    }
  } else if (init2) {
    pricingCardSwiper2.destroy();
    init2 = false;
  }
}
swiperCard2();
window.addEventListener("resize", swiperCard2);

/*---------KURUMSAL SWIPER---------*/

var swiper = new Swiper(".kurumsalSwiper", {
  loop: true,
  autoplay: {
    delay: 1,
    disableOnInteraction: false,
  },
  speed: 3000,
  grabCursor: true,
  breakpoints: {
    0: {
      slidesPerView: 3,
      spaceBetween: 10,
    },
    768: {
      slidesPerView: 4,
      spaceBetween: 20,
    },
    991: {
      slidesPerView: 6,
      spaceBetween: 30,
    },
    1440: {
      slidesPerView: 8,
      spaceBetween: 30,
    },
  },
});
/*---------KURUMSAL SWIPER 2---------*/

var swiper = new Swiper(".kurumsalSwiper2", {
  loop: true,
  autoplay: {
    delay: 1,
    disableOnInteraction: false,
    reverseDirection: true,
  },
  speed: 3000,
  grabCursor: true,
  breakpoints: {
    0: {
      slidesPerView: 3,
      spaceBetween: 10,
    },
    768: {
      slidesPerView: 4,
      spaceBetween: 20,
    },
    991: {
      slidesPerView: 6,
      spaceBetween: 30,
    },
    1440: {
      slidesPerView: 8,
      spaceBetween: 30,
    },
  },
});

var swiper = new Swiper(".kurumsalS4Swiper", {
  navigation: {
    nextEl: ".kurumsalS4Swiper-next",
    prevEl: ".kurumsalS4Swiper-prev",
  },
  loop: true,
  autoplay: {
    delay: 3000,
    disableOnInteraction: false,
  },
  speed: 3000,
});

/*---------BLOG---------*/

var swiper = new Swiper(".blogSwiper", {
  loop: true,
  autoplay: {
    delay: 3000,
    disableOnInteraction: false,
  },
  speed: 3000,
  grabCursor: true,
  breakpoints: {
    0: {
      slidesPerView: 2,
      spaceBetween: 10,
    },
    768: {
      slidesPerView: 3,
      spaceBetween: 20,
    },
    1200: {
      slidesPerView: 4,
      spaceBetween: 30,
    },
    1440: {
      slidesPerView: 5,
      spaceBetween: 30,
    },
  },
});

/*---------OTHER PRODUCTS---------*/

var swiper = new Swiper(".otherProductsSwiper", {
  navigation: {
    nextEl: ".otherProductsSwiper-next",
    prevEl: ".otherProductsSwiper-prev",
  },
  autoplay: {
    delay: 3000,
    disableOnInteraction: false,
  },
  loop: true,
  breakpoints: {
    0: {
      slidesPerView: 1.5,
      spaceBetween: 10,
    },
    768: {
      slidesPerView: 3,
      spaceBetween: 20,
    },
    1200: {
      slidesPerView: 4,
      spaceBetween: 30,
    },
    1440: {
      slidesPerView: 5,
      spaceBetween: 30,
    },
  },
});

/*---------PRODUCT MAIN SLIDER---------*/

var swiper = new Swiper(".productDetayThumSwiper", {
  spaceBetween: 10,
  slidesPerView: 5,
  loop: true,
  freeMode: true,
  watchSlidesProgress: true,
  breakpoints: {
    0: {},
    991: {
      direction: "vertical",
    },
  },
});
var swiper2 = new Swiper(".productDetaySwiper", {
  spaceBetween: 10,
  loop: true,

  navigation: {
    nextEl: ".productDetaySwiper-next",
    prevEl: ".productDetaySwiper-prev",
  },
  thumbs: {
    swiper: swiper,
  },
});
