
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>WizzyCard</title>
    <meta name="description" content="Meta açıklaması yaz." />
    <meta name="keywords" content="anahtar, kelimeleri, gir" />

    <link rel="icon" type="image/x-icon" href="/assets/images/favico.ico">

    <link rel="stylesheet" href="/assets/cdns/bootstrap-5.3.2/bootstrap.min.css" />

    <link rel="stylesheet" href="/assets/cdns/aos-2.3.1/aos.css" />
    <link rel="stylesheet" href="/assets/cdns/swiper-11.0.7/swiper-bundle.min.css" />
    <link rel="stylesheet" href="/assets/style.css" />
    <link rel="stylesheet" href="/assets/libs/toast/jquery.toast.min.css" />
</head>

<body>

<div class="payment-header">
    <a href="/">
        <img src="/assets/images/logo.png" alt="">
    </a>
</div>


<section class="payment">
    <div class="container-fluid ">
        <div class="row">
            <div class="col-xxl-4 col-lg-5 offset-xxl-2 offset-lg-1 px-lg-0 order-lg-1 order-2">
                <div class="payment-form">
                    <form id="cart_form" action="/cart" method="post">
                        <?php echo csrf_field(); ?>
                        <input type="hidden" name="order_id" value="<?php echo e($cart->id); ?>">
                        <h5 class="global-h5">Kişisel Bilgiler</h5>
                        <div class="row">
                            <div class="col-lg-6">
                                <input type="text" class="mb-3" placeholder="Ad" name="name" id="">
                            </div>
                            <div class="col-lg-6">
                                <input type="text" class="mb-3" placeholder="Soyad" name="surname" id="">
                            </div>
                            <div class="col-lg-6">
                                <input type="email" class="mb-3" placeholder="E-Posta" name="email" id="">
                            </div>
                            <div class="col-lg-6">
                                <input type="tel" class="mb-3" placeholder="Cep Telefonu" name="phone" id="">
                            </div>
                        </div>
                        <h5 class="global-h5">Teslimat Bilgileri</h5>
                        <div class="row">
                            <div class="col-lg-12">
                                <select id="" class="mb-3">
                                    <option value="">Ülke</option>
                                    <option value="1" selected>Türkiye</option>
                                </select>
                            </div>
                            <div class="col-lg-6">
                                <select name="city_id" class="mb-3 <?php echo e($errors->has('city_id') ? 'is-invalid' : ''); ?>" onchange="cityChange()">
                                    <option value="">İl</option>
                                    <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($city->id); ?>" <?php echo e(old('city_id') == $city->id ? 'selected' : ''); ?>><?php echo e($city->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="col-lg-6">
                                <select name="district_id" class="mb-3 <?php echo e($errors->has('district_id') ? 'is-invalid' : ''); ?>">
                                    <option value="">İlçe</option>
                                </select>
                            </div>
                            <div class="col-lg-12">
                                <input type="text" class="mb-3" placeholder="Adres" name="address" id="">
                            </div>
                        </div>
                        <h5 class="global-h5">Fatura Bilgileri</h5>
                        <div class="row mb-3">
                            <div class="col-6">
                                <input type="radio" checked id="bireysel-fatura-radio" name="invoice_type" value="0">
                                <label for="bireysel-fatura-radio" class="bireysel-kurumsal-label">Bireysel</label>
                            </div>
                            <div class="col-6">
                                <input type="radio" id="kurumsal-fatura-radio" name="invoice_type" value="1">
                                <label for="kurumsal-fatura-radio" class="bireysel-kurumsal-label">Kurumsal</label>
                            </div>
                        </div>
                        <div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <input type="text" class="mb-3" placeholder="Ad Soyad" name="invoice_name" id="">
                                </div>
                                <div class="col-lg-12">
                                    <input type="number" class="mb-3" placeholder="TC Kimlik Numarası" name="tax_number" id="">
                                </div>
                                <div class="col-lg-12 d-none">
                                    <input type="text" class="mb-3" placeholder="Vergi Dairesi" name="tax_office" id="">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <input type="checkbox" id="diffrent-adress" name="different_address">
                                <label for="diffrent-adress" class="diffrent-adress-label mb-3">Fatura adresim farklı.</label>
                                <div class="diffrent-adress">
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <select class="mb-3" name="invoice_city_id" onchange="invoiceCityChange()">
                                                <option value="">İl</option>
                                                <?php $__currentLoopData = $cities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $city): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($city->id); ?>" <?php echo e(old('invoice_city_id') == $city->id ? 'selected' : ''); ?>><?php echo e($city->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                        <div class="col-lg-6">
                                            <select name="invoice_district_id" id="" class="mb-3">
                                                <option value="">İlçe</option>
                                            </select>
                                        </div>
                                        <div class="col-lg-12">
                                            <input type="text" class="mb-3" placeholder="Fatura Adresi" name="" id="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <h5 class="global-h5">Ödeme Bilgileri</h5>
                        <div class="row">
                            <div class="col-lg-12">
                                <input type="text" class="mb-3" placeholder="Kart Üzerindeki İsim" name="card_name" id="card_name">
                            </div>
                            <div class="col-lg-12">
                                <input type="text" class="mb-3" placeholder="Kart Numarası" name="card_number" id="card_number">
                            </div>
                            <div class="col-lg-6">
                                <input type="text" class="mb-3" placeholder="Son Kullanma Tarihi (AA/YY)" name="expire_date" id="expire_date">
                            </div>
                            <div class="col-lg-6">
                                <input type="text" class="mb-3" placeholder="CVV" name="cvv" id="cvv">
                            </div>
                        </div>
                        <button type="submit" class="submit-payment">Ödeme Yap</button>
                    </form>
                </div>
            </div>
            <div class="col-lg-5 offset-lg-1 px-lg-0 order-lg-2 order-1">
                <div class="payment-cart">
                    <div class="payment-cart-title">
                        <span>Sepet</span>
                        <img src="/assets/images/icons/down-white-arrow.png" alt="">
                    </div>
                    <div class="payment-cart-mid">
                        <?php $__currentLoopData = $cart->details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="cart-each" data-product-price="<?php echo e($item->product->price); ?>">
                                <div class="cart-each-img">
                                    <img src="/assets/images/products/<?php echo e($item->product->images[0]->image); ?>" alt="" />
                                </div>
                                <div class="cart-each-infos">
                                    <div class="cart-each-infos-title"><?php echo e($item->product->name); ?></div>
                                    <div class="cart-each-infos-price"><?php echo e(number_format($item->product->price, 0, ',', '.')); ?>₺</div>
                                    <div class="cart-each-infos-count">
                                        <button class="count-decrease">-</button>
                                        <span class="cart-the-count">1</span>
                                        <button class="count-increase">+</button>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <div class="payment-cart-mid-guess">
                            Tahmini Teslimat: 2-3 İş Günü
                        </div>
                        <form action="">
                            <input type="text" name="" placeholder="İndirim kodu veya hediye kartı">
                            <button type="submit">Uygula</button>
                        </form>
                        <!--<div class="cart-footer-each">
                            <div class="cart-footer-each-name">Silver Metal Card</div>
                            <div class="cart-footer-each-price">1800₺</div>
                        </div>-->
                        <!--<div class="cart-footer-each">
                            <div class="cart-footer-each-name ">Aidat / Yıllık</div>
                            <div class="cart-footer-each-price ">200₺</div>
                        </div>-->
                        <div class="cart-footer-each">
                            <div class="cart-footer-each-name color-red">Kargo</div>
                            <div class="cart-footer-each-price color-red">Ücretsiz</div>
                        </div>
                        <!--<div class="cart-footer-each">
                            <div class="cart-footer-each-name color-red">Promosyon Kodu</div>
                            <div class="cart-footer-each-price color-red">-150₺</div>
                        </div>-->
                    </div>
                    <div class="cart-footer-total">
                        <span>Toplam</span>
                        <span><?php echo e(number_format($cart->total, 0, ',', '.')); ?>₺</span>
                    </div>

                </div>
            </div>
        </div>
    </div>
</section>

<div id="threedsContent" class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <iframe class="w-100 h-100"></iframe>
            </div>
        </div>
    </div>
</div>

<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/1.4.1/html2canvas.min.js"></script>
<script src="https://superal.github.io/canvas2image/canvas2image.js"></script>


<script src="/assets/cdns/bootstrap-5.3.2/bootstrap.bundle.min.js"></script>

<script src="/assets/cdns/jquery-3.7.1/jquery.min.js"></script>

<script src="/assets/cdns/aos-2.3.1/aos.js"></script>
<script src="/assets/cdns/swiper-11.0.7/swiper-bundle.min.js"></script>

<script src="/assets/index.js"></script>
<script src="/assets/libs/inputmask/inputmask.min.js"></script>
<script src="/assets/libs/toast/jquery.toast.min.js"></script>
<script>

    <?php if($error): ?>
    $.toast({
        text: "Ödeme alınamadı. Lütfen kart bilgilerinizi kontrol ederek tekrar deneyiniz.",
        heading: "Ödeme Hatası",
        icon: 'error',
        showHideTransition: 'fade',
        allowToastClose: true,
        hideAfter: 3000,
        stack: 5,
        position: 'top-right',
        textAlign: 'left',
        loader: true,
        loaderBg: '#9EC600',
    });
    <?php endif; ?>

    let ccNumberInput = document.querySelector('input[name="card_number"]'),
        ccNumberPattern = /^\d{0,16}$/g,
        ccNumberSeparator = " ",
        ccNumberInputOldValue,
        ccNumberInputOldCursor,

        ccExpiryInput = document.querySelector('input[name="expire_date"]'),
        ccExpiryPattern = /^\d{0,4}$/g,
        ccExpirySeparator = "/",
        ccExpiryInputOldValue,
        ccExpiryInputOldCursor,

        ccCVCInput = document.querySelector('input[name="cvv"]'),
        ccCVCPattern = /^\d{0,3}$/g,

        mask = (value, limit, separator) => {
            var output = [];
            for (let i = 0; i < value.length; i++) {
                if ( i !== 0 && i % limit === 0) {
                    output.push(separator);
                }

                output.push(value[i]);
            }

            return output.join("");
        },
        unmask = (value) => value.replace(/[^\d]/g, ''),
        checkSeparator = (position, interval) => Math.floor(position / (interval + 1)),
        ccNumberInputKeyDownHandler = (e) => {
            let el = e.target;
            ccNumberInputOldValue = el.value;
            ccNumberInputOldCursor = el.selectionEnd;
        },
        ccNumberInputInputHandler = (e) => {
            let el = e.target,
                newValue = unmask(el.value),
                newCursorPosition;

            if ( newValue.match(ccNumberPattern) ) {
                newValue = mask(newValue, 4, ccNumberSeparator);

                newCursorPosition =
                    ccNumberInputOldCursor - checkSeparator(ccNumberInputOldCursor, 4) +
                    checkSeparator(ccNumberInputOldCursor + (newValue.length - ccNumberInputOldValue.length), 4) +
                    (unmask(newValue).length - unmask(ccNumberInputOldValue).length);

                el.value = (newValue !== "") ? newValue : "";
            } else {
                el.value = ccNumberInputOldValue;
                newCursorPosition = ccNumberInputOldCursor;
            }

            el.setSelectionRange(newCursorPosition, newCursorPosition);

            highlightCC(el.value);
        },
        highlightCC = (ccValue) => {
            let ccCardType = '',
                ccCardTypePatterns = {
                    amex: /^3/,
                    visa: /^4/,
                    mastercard: /^5/,
                    disc: /^6/,

                    genric: /(^1|^2|^7|^8|^9|^0)/,
                };

            for (const cardType in ccCardTypePatterns) {
                if ( ccCardTypePatterns[cardType].test(ccValue) ) {
                    ccCardType = cardType;
                    break;
                }
            }

            let activeCC = document.querySelector('.cc-types__img--active'),
                newActiveCC = document.querySelector(`.cc-types__img--${ccCardType}`);

            if (activeCC) activeCC.classList.remove('cc-types__img--active');
            if (newActiveCC) newActiveCC.classList.add('cc-types__img--active');
        },
        ccExpiryInputKeyDownHandler = (e) => {
            let el = e.target;
            ccExpiryInputOldValue = el.value;
            ccExpiryInputOldCursor = el.selectionEnd;
        },
        ccExpiryInputInputHandler = (e) => {
            let el = e.target,
                newValue = el.value;

            newValue = unmask(newValue);
            if ( newValue.match(ccExpiryPattern) ) {
                newValue = mask(newValue, 2, ccExpirySeparator);
                el.value = newValue;
            } else {
                el.value = ccExpiryInputOldValue;
            }
        };

    ccNumberInput.addEventListener('keydown', ccNumberInputKeyDownHandler);
    ccNumberInput.addEventListener('input', ccNumberInputInputHandler);

    ccExpiryInput.addEventListener('keydown', ccExpiryInputKeyDownHandler);
    ccExpiryInput.addEventListener('input', ccExpiryInputInputHandler);

    let districts_json = <?php echo json_encode($districts, 15, 512) ?>;

    function cityChange(){
        let selected = $('select[name="city_id"] option:selected').val();

        $('select[name="district_id"]').html('');
        $('select[name="district_id"]').append($('<option>', {value:'', text:'İlçe'}));

        districts_json.forEach(elem => {
            if(elem.city_id === parseInt(selected)){
                $('select[name="district_id"]').append($('<option>', {value:elem.id, text:elem.name}));
            }
        });
    }

    function invoiceCityChange(){
        let selected = $('select[name="invoice_city_id"] option:selected').val();

        $('select[name="invoice_district_id"]').html('');
        $('select[name="invoice_district_id"]').append($('<option>', {value:'', text:'İlçe'}));

        districts_json.forEach(elem => {
            if(elem.city_id === parseInt(selected)){
                $('select[name="invoice_district_id"]').append($('<option>', {value:elem.id, text:elem.name}));
            }
        });
    }

    $("#cart_form button[type='submit']").click(function(e){
        e.preventDefault();

        let form = $('#cart_form')[0];
        let data = new FormData(form);

        $.ajax({
            url: "/cart",
            type: "POST",
            data : data,
            dataType:"JSON",
            processData : false,
            contentType:false,
            success: function(response) {
                if(response.type === 'success'){
                    $.toast({
                        text: response.message,
                        heading: response.title,
                        icon: 'success',
                        showHideTransition: 'fade',
                        allowToastClose: true,
                        hideAfter: 3000,
                        stack: 5,
                        position: 'top-right',
                        textAlign: 'left',
                        loader: true,
                        loaderBg: '#9EC600',
                        beforeHide: function () {
                            $('#threedsContent .modal-body').html(response.htmlContent);
                        },
                    });
                }else{
                    $.toast({
                        text: response.message,
                        heading: response.title,
                        icon: 'error',
                        showHideTransition: 'fade',
                        allowToastClose: true,
                        hideAfter: 3000,
                        stack: 5,
                        position: 'top-right',
                        textAlign: 'left',
                        loader: true,
                        loaderBg: '#9EC600',
                    });
                }
            },
            error: function(xhr, status, error) {

            }
        });
    })
</script>
</body>

</html>
<?php /**PATH /home/wizzycard/resources/views/cart.blade.php ENDPATH**/ ?>